## awesome 4.3

=== Makefile ===
ifeq (,$(VERBOSE))
    MAKEFLAGS:=$(MAKEFLAGS)s
    ECHO=echo
else
    ECHO=@:
endif

BUILDDIR=build

# Run "make" in $(BUILDDIR) by default.
# This is required to generate all files already, which should not be generated
# with "(sudo) make install" only later.
cmake-build: $(BUILDDIR)/Makefile
	$(ECHO) "Building…"
	$(MAKE) -C $(BUILDDIR)

# Run CMake with CMAKE_ARGS defined on command line ("make CMAKE_ARGS=…").
ifeq ($(origin CMAKE_ARGS),command line)
.PHONY: $(BUILDDIR)/Makefile
endif

$(BUILDDIR)/Makefile:
	$(ECHO) "Creating build directory and running cmake in it. You can also run CMake directly, if you want."
	$(ECHO)
	mkdir -p $(BUILDDIR)
	$(ECHO) "Running cmake…"
	cd $(BUILDDIR) && cmake $(CMAKE_ARGS) "$(CURDIR)"

tags:
	git ls-files | xargs ctags

install:
	$(ECHO) "Installing…"
	$(MAKE) -C $(BUILDDIR) install

distclean:
	$(ECHO) -n "Cleaning up build directory…"
	$(RM) -r $(BUILDDIR)

# Use an explicit rule to not "update" the Makefile via the implicit rule below.
Makefile: ;

%: $(BUILDDIR)/Makefile
	$(ECHO) "Running make $@ in $(BUILDDIR)…"
	$(MAKE) -C $(BUILDDIR) $@

.PHONY: cmake-build install distclean tags

=== tests/examples/CMakeLists.txt ===
# This module is designed to allow the Awesome documentation examples to be
# tested.
#
# It shims enough of the Awesome C API to allow code to be executed without an
# actual X server or running Awesome process. These tests are not genuine
# integration tests, but they are the next best thing.
#
# As secondary goals, this module also generates images of the test result
# where relevant. Those images are used by the documentation and help the
# developers track user interface regressions and glitches. Finally, it also
# helps to find broken code.

if(NOT DEFINED PROJECT_NAME)
    project(awesome-tests-examples NONE)
endif()

cmake_minimum_required(VERSION 3.0.0)

# Get and update the LUA_PATH so the scripts can be executed without awesome.
execute_process(COMMAND lua -e "p = package.path:gsub(';', '\\\\;'); io.stdout:write(p)"
    OUTPUT_VARIABLE "LUA_PATH_")

# Make sure the system can be called from the test directory
if(NOT SOURCE_DIR AND ${CMAKE_CURRENT_SOURCE_DIR} MATCHES "/tests/examples")
    get_filename_component(TOP_SOURCE_DIR
                           "${CMAKE_CURRENT_SOURCE_DIR}/../.." ABSOLUTE)
else()
    set(TOP_SOURCE_DIR ${CMAKE_SOURCE_DIR})
endif()

if (DO_COVERAGE)
  execute_process(
    COMMAND env "SOURCE_DIRECTORY=${TOP_SOURCE_DIR}" lua -e "require('luacov.runner')('${TOP_SOURCE_DIR}/.luacov')"
    RESULT_VARIABLE TEST_RESULT
    ERROR_VARIABLE  TEST_ERROR
    ERROR_STRIP_TRAILING_WHITESPACE)
  if (TEST_RESULT OR NOT TEST_ERROR STREQUAL "")
    message(${TEST_ERROR})
    message(FATAL_ERROR "Failed to run luacov.runner.")
  endif()
  set(LUA_COV_RUNNER lua "-erequire('luacov.runner')('${TOP_SOURCE_DIR}/.luacov')")
else()
  set(LUA_COV_RUNNER lua)
endif()

if (STRICT_TESTS)
    set(IGNORE_ERRORS)
else()
    set(IGNORE_ERRORS "||" "true")
endif()

# Add the main awesome lua libraries.
set(LUA_PATH_ "\
${TOP_SOURCE_DIR}/lib/?.lua\\;\
${TOP_SOURCE_DIR}/lib/?/init.lua\\;\
${TOP_SOURCE_DIR}/lib/?\\;\
${TOP_SOURCE_DIR}/themes/?.lua\\;\
${TOP_SOURCE_DIR}/themes/?\\;\
${LUA_PATH_}")

# Add the C API shims.
set(LUA_PATH_ "\
${TOP_SOURCE_DIR}/tests/examples/shims/?.lua\\;\
${TOP_SOURCE_DIR}/tests/examples/shims/?/init.lua\\;\
${TOP_SOURCE_DIR}/tests/examples/shims/?\\;\
${LUA_PATH_}")

# $SOURCE_DIRECTORY is used by .luacov.
set(LUA_COV_RUNNER env -u LUA_PATH_5_1 -u LUA_PATH_5_2 -u LUA_PATH_5_3 "LUA_PATH=${LUA_PATH_}" "AWESOME_THEMES_PATH=${TOP_SOURCE_DIR}/themes/" "SOURCE_DIRECTORY=${TOP_SOURCE_DIR}" ${LUA_COV_RUNNER})

# The documentation images directory.
set(IMAGE_DIR "${CMAKE_BINARY_DIR}/doc/images")
file(MAKE_DIRECTORY "${IMAGE_DIR}")

# Escape potentially multiline strings to be part of the API doc.
#  * add "--" in front of each lines
#  * add a custom prefix in front of each lines
#  * drop empty lines
#  * convert --DOC_NEWLINE lines into empty lines
#  * drop lines ending with "--DOC_SOMETHING", they are handled elsewhere
function(escape_string variable content escaped_content line_prefix)
    # If DOC_HIDE_ALL is present, do nothing.
    if(variable MATCHES "--DOC_HIDE_ALL")
        return()
    endif()
    string(REGEX REPLACE "\n" ";" var_lines "${variable}")

    set(tmp_output ${content})
    foreach (LINE ${var_lines})

        # ;; will drop the line, but " ;" will create an empty line
        string(REGEX REPLACE "--DOC_NEWLINE" " " LINE "${LINE}")

        if(NOT LINE MATCHES "^.*--DOC_[A-Z]+")
            set(tmp_output ${tmp_output}\n${DOC_LINE_PREFIX}${line_prefix}${LINE})
        endif()
    endforeach()

    set(${escaped_content} ${tmp_output} PARENT_SCOPE)
endfunction()

# Extract lines with the --DOC_HEADER marker.
function(extract_header variable pre_output post_output)
    string(REGEX REPLACE "\n" ";" var_lines "${variable}")

    set(IS_POST 0)

    foreach (LINE ${var_lines})
        # This function doesn't escape the lines, so make sure they are
        # already comments.
        if(LINE MATCHES "^--.*--DOC_HEADER")
            # Remove the header tag
            string(REGEX REPLACE "[ ]*--DOC_HEADER" "" LINE "${LINE}")

            # ldoc is picky about what happens after the first --@, so split
            # the output on that.
            if (NOT IS_POST AND LINE MATCHES "^--[ ]*@")
                set(IS_POST 1)
            endif()

            if (IS_POST)
                set(tmp_post_output ${tmp_post_output}\n${line_prefix}${LINE})
            else()
                set(tmp_pre_output ${tmp_pre_output}\n${line_prefix}${LINE})
            endif()
        endif()
    endforeach()

    set(${post_output} "${tmp_post_output}\n${DOC_LINE_PREFIX}" PARENT_SCOPE)
    set(${pre_output} "${tmp_pre_output}\n${DOC_LINE_PREFIX}" PARENT_SCOPE)
endfunction()

# Read a code file and convert it to ldoc usage example.
#  * add "--" in front of each lines
#  * drop empty lines
#  * convert " " lines into empty lines
#  * drop lines ending with "--DOC_HIDE"
function(escape_code path escaped_content pre_header post_header)
    file(READ ${path} path)

    escape_string("${path}\n" "" escaped_code " ")

    extract_header("${path}" example_pre_header example_post_header)

    set(${escaped_content} ${escaped_code} PARENT_SCOPE)
    set(${pre_header} ${example_pre_header} PARENT_SCOPE)
    set(${post_header} ${example_post_header} PARENT_SCOPE)
endfunction()

# Find the template.lua that is closest to the given file. For example, if a
# template.lua is present in the same directory, its path will be returned. If
# one is present in the parent directory, that path is returned etc.
function(find_template result_variable file)
    get_filename_component(path "${file}" DIRECTORY)

    while(NOT EXISTS "${path}/template.lua")
        set(last_path "${path}")
        get_filename_component(path "${path}" DIRECTORY)
        if(last_path STREQUAL path)
            message(FATAL_ERROR "Failed to find template.lua for ${file}")
        endif()
    endwhile()

    set(${result_variable} "${path}/template.lua" PARENT_SCOPE)
endfunction()

# Get the namespace of a file.
function(get_namespace result_variable file)
    get_filename_component(path "${file}" DIRECTORY)
    string(LENGTH "${TOP_SOURCE_DIR}/tests/examples" prefix_length)
    string(REPLACE "/" "_" namespace "${path}")
    string(SUBSTRING "${namespace}" "${prefix_length}" -1 namespace)

    set(${result_variable} "${namespace}" PARENT_SCOPE)
endfunction()

# Execute a Lua file.
function(run_test test_path namespace escaped_content)
    find_template(template "${test_path}")

    file(READ ${test_path} tmp_content)

    # Add "--" or " * " in front of each line. This is required for method doc,
    #but not for documentation pages
    if(tmp_content MATCHES "--DOC_ASTERISK")
        set(DOC_LINE_PREFIX " * ")
    elseif(NOT tmp_content MATCHES "--DOC_NO_DASH")
        set(DOC_LINE_PREFIX "--")
    endif()

    # Do not use the @usage tag, but 4 spaces.
    if(NOT tmp_content MATCHES "--DOC_NO_USAGE")
        set(DOC_BLOCK_PREFIX "@usage")
    endif()

    # Does the text generate text output?
    if(tmp_content MATCHES "--DOC_GEN_OUTPUT")
        # The expected output is next to the .lua file in a .output.txt file
        string(REPLACE ".lua" ".output.txt" expected_output_path ${test_path})
    else()
        set(expected_output_path "/dev/null")
    endif()

    # Get the file name without the extension.
    get_filename_component(${test_path} TEST_FILE_NAME NAME)
    set(IMAGE_PATH "${IMAGE_DIR}/AUTOGEN${namespace}_${TEST_FILE_NAME}")

    # Read the code and turn it into an usage example.
    escape_code(${test_path} TEST_CODE TEST_PRE_HEADER TEST_POST_HEADER)

    # Build the documentation.
    set(TEST_DOC_CONTENT "${TEST_PRE_HEADER}")

    # Does the test generate an output image?
    if(tmp_content MATCHES "--DOC_GEN_IMAGE")
        set(OUTPUT_IMAGE_PATH "${IMAGE_PATH}.svg")
        escape_string(
            "![Usage example](../images/AUTOGEN${namespace}_${TEST_FILE_NAME}.svg)\n"
            "${TEST_DOC_CONTENT}" TEST_DOC_CONTENT ""
        )
    else()
        set(OUTPUT_IMAGE_PATH "")
    endif()

    # Does the text generate text output?
    # If there is an output, assume it is relevant and add it to the
    # documentation under the image.
    if(tmp_content MATCHES "--DOC_GEN_OUTPUT")
        if(EXISTS "${expected_output_path}")
            file(READ "${expected_output_path}" expected_output)
        endif()

        set(TEST_DOC_CONTENT
            "${TEST_DOC_CONTENT}\n${DOC_LINE_PREFIX}\n${DOC_LINE_PREFIX}**Usage example output**:\n${DOC_LINE_PREFIX}"
        )

        # Markdown requires an empty line before and after, and 4 spaces.
        escape_string(
            "\n${expected_output}"
            "${TEST_DOC_CONTENT}" TEST_DOC_CONTENT "    "
        )
        set(TEST_DOC_CONTENT "${TEST_DOC_CONTENT}\n${DOC_LINE_PREFIX}")
    endif()

    # If there is some @* content, append it.
    set(TEST_DOC_CONTENT "${TEST_DOC_CONTENT}${TEST_POST_HEADER}")

    # Only add it if there is something to display.
    if(NOT ${TEST_CODE} STREQUAL "\n${DOC_LINE_PREFIX}")
        escape_string(
            " ${DOC_BLOCK_PREFIX}"
            "${TEST_DOC_CONTENT}" TEST_DOC_CONTENT ""
        )
        set(TEST_DOC_CONTENT "${TEST_DOC_CONTENT}${TEST_CODE}")
    endif()

    file(RELATIVE_PATH rel_template "${TOP_SOURCE_DIR}" "${template}")
    file(RELATIVE_PATH rel_test_path "${TOP_SOURCE_DIR}" "${test_path}")
    if(NOT ${OUTPUT_IMAGE_PATH} STREQUAL "")
        file(RELATIVE_PATH rel_output "${TOP_SOURCE_DIR}" "${OUTPUT_IMAGE_PATH}")
        add_custom_command(
            COMMAND "${TOP_SOURCE_DIR}/tests/examples/runner.sh" "${expected_output_path}" ${LUA_COV_RUNNER} ${template} ${test_path} ${IMAGE_PATH} ${IGNORE_ERRORS}
            COMMENT "Running ${rel_test_path} (via ${rel_template}, generating ${rel_output})"
            DEPENDS ${template} ${test_path}
            OUTPUT  ${OUTPUT_IMAGE_PATH}
            VERBATIM)
        set(EXAMPLE_DOC_GENERATED_FILES ${OUTPUT_IMAGE_PATH} ${EXAMPLE_DOC_GENERATED_FILES}
            PARENT_SCOPE)
    else()
        set(TARGET_NAME "run-${rel_test_path}")
        STRING(REPLACE "/" "-" TARGET_NAME ${TARGET_NAME})
        add_custom_target(${TARGET_NAME}
            COMMAND "${TOP_SOURCE_DIR}/tests/examples/runner.sh" "${expected_output_path}" ${LUA_COV_RUNNER} ${template} ${test_path} ${IMAGE_PATH} ${IGNORE_ERRORS}
            COMMENT "Running ${rel_test_path} (via ${rel_template})"
            DEPENDS ${template} ${test_path}
            VERBATIM)
        set(EXAMPLE_DOC_EXTRA_TARGETS ${TARGET_NAME} ${EXAMPLE_DOC_EXTRA_TARGETS}
            PARENT_SCOPE)
    endif()

    # Export the outout to the parent scope.
    set(${escaped_content} "${TEST_DOC_CONTENT}" PARENT_SCOPE)
endfunction()

# Find all test files, and run them (generating custom commands for updating them).
file(GLOB_RECURSE test_files FOLLOW_SYMLINKS LIST_DIRECTORIES false
    "${TOP_SOURCE_DIR}/tests/examples/*.lua")

# Find and run all test files.
foreach(file ${test_files})
    if ((NOT "${file}" MATCHES ".*/shims/.*")
        AND (NOT "${file}" MATCHES ".*/template.lua"))

        # Get the file name without the extension.
        get_filename_component(TEST_FILE_NAME ${file} NAME_WE)

        get_namespace(namespace "${file}")

        run_test("${file}" "${namespace}" ESCAPED_CODE_EXAMPLE)

        # Set the test name.
        set(TEST_NAME DOC${namespace}_${TEST_FILE_NAME}_EXAMPLE)

        # Anything called @DOC_`namespace`_EXAMPLE@
        # in the Lua or C sources will be replaced by the content of that
        # variable during the pre-processing.
        # While at it, replace \" created by CMake by ',
        # &quot; wont work in <code>.
        string(REPLACE "\"" "'" ${TEST_NAME} ${ESCAPED_CODE_EXAMPLE})
    endif()
endforeach()

add_custom_target(generate-examples ALL DEPENDS ${EXAMPLE_DOC_GENERATED_FILES} ${EXAMPLE_DOC_EXTRA_TARGETS})

add_custom_target(check-examples
    ${CMAKE_COMMAND} ${CMAKE_SOURCE_DIR}
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR})

=== debian/changelog ===
awesome (4.3-8ubuntu1) resolute; urgency=medium

  * Add Build-Depends: lua5.1 to work around Debian #1118655
  * Update autopkgtest to use lua5.3 since lua5.2 is no longer supported
    by the lua-lgi package

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 23 Oct 2025 11:48:48 -0400

awesome (4.3-8) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Use GioUnix to use Unix specific classes in Gio. (Closes: #1115591)

  [ Reiner Herrmann ]
  * Bump Standards-Version to 4.7.2.
  * Convert d/watch to version 5.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 18 Sep 2025 21:15:04 +0200

awesome (4.3-7) unstable; urgency=medium

  * Update Standards-Version to 4.6.2.
    - Recalculate wm alternative priority based on Policy.
  * Call dh_installwm only for awesome package.
  * Replace obsolete build and test dependencies:
    libxcb-util0-dev -> libxcb-util-dev.
  * Export XDG_CACHE_HOME during autopkgtest as fontconfig needs it to
    find writable cache directory.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 04 Feb 2023 23:46:48 +0100

awesome (4.3-6) unstable; urgency=medium

  * Build-depend on libgdk-pixbuf-2.0-dev instead of libgdk-pixbuf2.0-dev.
    (Closes: #1019306)
  * Bump Standards-Version to 4.6.1.
  * Bump copyright year.
  * Use api.github.com for searching upstream releases.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 02 Oct 2022 16:31:47 +0200

awesome (4.3-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/tests/control: Add restriction "allow-stderr". (Closes: #1017032)

 -- Marcos Talau <talau@debian.org>  Mon, 05 Sep 2022 13:10:29 -0300

awesome (4.3-5) unstable; urgency=medium

  * Fix FTBFS with GCC 10. (Closes: #957027)
  * Replace obsolete variable ADTTMP with AUTOPKGTEST_TMP in autopkgtest.
  * Bump Standards-Version to 4.5.0.
  * Bump debhelper compat level to 13.
  * Drop explicit nocheck test in dh_override_auto_test, as it is correctly
    skipped in dh compat 13.
  * Update Vcs-* URLs.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 22 Jul 2020 11:58:50 +0200

awesome (4.3-4) unstable; urgency=low

  * Increase timeouts of test runs during autopkgtest.
    Tests are failing on Ubuntu autopkgtest infrastructure on really
    slow hardware. Timeouts are increased to values suggested by upstream.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 26 Feb 2019 18:51:19 +0100

awesome (4.3-3) unstable; urgency=medium

  * Add dependency on gir1.2-gdkpixbuf-2.0 for awesome. (Closes: #920841)
  * Add explicit dependency on gir1.2-glib-2.0 (which was only transitively
    depended on via gir1.2-freedesktop).
  * Recommend gir1.2-gtk-3.0 for gtk theme.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 29 Jan 2019 21:48:12 +0100

awesome (4.3-2) unstable; urgency=medium

  * Create required directories to fix arch:all-only builds.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 28 Jan 2019 22:54:50 +0100

awesome (4.3-1) unstable; urgency=medium

  * New upstream release.
    - handle SIGCHLD directly instead of through GLib (Closes: #886393)
  * Drop obsolete/applied patches and refresh remaining ones.
  * Build-depend on asciidoctor instead of asciidoc. (Closes: #894710)
  * Update Standards-Version to 4.3.0.
    - declare that debian/rules does not require root
  * Bump copyright years.
  * Install upstream release notes into /usr/share/doc/awesome/.
  * Build-depend on debhelper-compat and bump compat level to 12.
  * Update test dependencies.
  * Cherry-pick upstream patches to build example images reproducibly.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 28 Jan 2019 21:57:00 +0100

awesome (4.2-5) unstable; urgency=medium

  * Import upstream patch to fix performance issue with category icon lookup.
    (Closes: #893053)
    - add additional patch for looking up category icons in the correct path
  * Move packaging VCS to salsa.
  * Bump Standards-Version to 4.1.3.
  * Fix spelling in patches.
  * Add check for nocheck in override_dh_auto_test target.
  * Add upstream metadata file.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 17 Mar 2018 19:30:38 +0100

=== debian/control ===
Source: awesome
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
Build-Depends: asciidoctor,
               cmake,
               debhelper-compat (= 13),
               imagemagick,
               libcairo2-dev,
               libdbus-1-dev,
               libgdk-pixbuf-2.0-dev,
               libglib2.0-dev,
               liblua5.3-dev,
               libpango1.0-dev,
               libstartup-notification0-dev,
               libx11-xcb-dev,
               libxcb-cursor-dev,
               libxcb-icccm4-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-shape0-dev,
               libxcb-util-dev,
               libxcb-xinerama0-dev,
               libxcb-xkb-dev,
               libxcb-xrm-dev,
               libxcb-xtest0-dev,
               libxdg-basedir-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               lua-busted,
               lua-discount,
               lua-ldoc,
               lua-lgi (>= 0.9.2),
               lua5.1,
               lua5.3,
               x11proto-core-dev,
               xmlto,
               zsh
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://awesomewm.org/
Vcs-Git: https://salsa.debian.org/reiner/awesome.git
Vcs-Browser: https://salsa.debian.org/reiner/awesome

Package: awesome
Architecture: any
Recommends: feh, rlwrap, x11-xserver-utils, awesome-extra, gir1.2-gtk-3.0
Suggests: awesome-doc
Depends: default-dbus-session-bus | dbus-session-bus,
         gir1.2-freedesktop,
         gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-pango-1.0,
         libcairo-gobject2,
         lua-lgi (>= 0.9.2),
         menu,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: notification-daemon, x-window-manager
Description: highly configurable X window manager
 awesome manages windows dynamically in floating or tiled layouts. It is
 primarily targeted at power users, developers, and all those dealing with
 everyday computing tasks and looking for fine-grained control over their
 graphical environment.
 .
 It is highly extensible and scriptable via the Lua programming language,
 providing an easy-to-use and very well documented API to configure its
 behavior.
 .
 awesome uses tags instead of workspaces, which gives better flexibility
 in displaying windows, and can be entirely keyboard-driven, not needing a
 mouse. It also supports multi-headed configurations; uses XCB instead of
 Xlib for better performance; implements many freedesktop standards; and
 can be controlled over D-Bus from awesome-client.

Package: awesome-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: awesome (<< 4.2-2)
Breaks: awesome (<< 4.2-2)
Description: highly configurable X window manager - documentation
 awesome manages windows dynamically in floating or tiled layouts. It is
 primarily targeted at power users, developers, and all those dealing with
 everyday computing tasks and looking for fine-grained control over their
 graphical environment.
 .
 It is highly extensible and scriptable via the Lua programming language,
 providing an easy-to-use and very well documented API to configure its
 behavior.
 .
 awesome uses tags instead of workspaces, which gives better flexibility
 in displaying windows, and can be entirely keyboard-driven, not needing a
 mouse. It also supports multi-headed configurations; uses XCB instead of
 Xlib for better performance; implements many freedesktop standards; and
 can be controlled over D-Bus from awesome-client.
 .
 This package contains the API documentation for awesome.

=== debian/tests/control ===
Tests: integration.sh
Depends: awesome, lua5.3, xvfb, dbus-x11, xterm, xfonts-base, x11-apps, x11-xserver-utils, x11-utils, gir1.2-gtk-3.0, build-essential, libxcb1-dev, libxcb-util-dev, libxcb-icccm4-dev
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Template: Github
Owner: awesomeWM
Project: awesome
